## com.baidubce.services.lss.model
Class LiveInfo

    java.lang.Object
      com.baidubce.services.lss.model.LiveInfo

    public class LiveInfo

extends Object

Constructor Summary
`LiveInfo()`

Method Summary
`String` `getCreateTime()`
`String` `getDescription()`
`SessionErrorInfo` `getError()`
`String` `getLastUpdateTime()`
`String` `getNotification()`
`LivePlay` `getPlay()`
`String` `getPresetName()`
`LivePublish` `getPublish()`
`LiveRecordPrefix` `getRecord()`
`String` `getSessionId()`
`String` `getStatus()`
`String` `getStreamingStatus()`
`LiveTarget` `getTarget()`
`LiveThumbnailPrefix` `getThumbnail()`
`String` `getUserId()`
`void` `setCreateTime(String createTime)`
`void` `setDescription(String description)`
`void` `setError(SessionErrorInfo error)`
`void` `setLastUpdateTime(String lastUpdateTime)`
`void` `setNotification(String notification)`
`void` `setPlay(LivePlay play)`
`void` `setPresetName(String presetName)`
`void` `setPublish(LivePublish publish)`
`void` `setRecord(LiveRecordPrefix record)`
`void` `setSessionId(String sessionId)`
`void` `setStatus(String status)`
`void` `setStreamingStatus(String streamingStatus)`
`void` `setTarget(LiveTarget target)`
`void` `setThumbnail(LiveThumbnailPrefix thumbnail)`
`void` `setUserId(String userId)`
`String` `toString()`
`LiveInfo` `withCreateTime(String createTime)`
`LiveInfo` `withDescription(String description)`
`LiveInfo` `withError(SessionErrorInfo error)`
`LiveInfo` `withLastUpdateTime(String lastUpdateTime)`
`LiveInfo` `withNotification(String notification)`
`LiveInfo` `withPlay(LivePlay play)`
`LiveInfo` `withPresetName(String presetName)`
`LiveInfo` `withPublish(LivePublish publish)`
`LiveInfo` `withRecord(LiveRecordPrefix record)`
`LiveInfo` `withSessionId(String sessionId)`
`LiveInfo` `withStatus(String status)`
`LiveInfo` `withStreamingStatus(String streamingStatus)`
`LiveInfo` `withThumbnail(LiveThumbnailPrefix thumbnail)`
`LiveInfo` `withUserId(String userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LiveInfo

    public LiveInfo()

Method Detail

### getUserId

    public String getUserId()

### setUserId

    public void setUserId(String userId)

### withUserId

    public LiveInfo withUserId(String userId)

### getSessionId

    public String getSessionId()

### setSessionId

    public void setSessionId(String sessionId)

### withSessionId

    public LiveInfo withSessionId(String sessionId)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### withDescription

    public LiveInfo withDescription(String description)

### getPresetName

    public String getPresetName()

### setPresetName

    public void setPresetName(String presetName)

### withPresetName

    public LiveInfo withPresetName(String presetName)

### getCreateTime

    public String getCreateTime()

### setCreateTime

    public void setCreateTime(String createTime)

### withCreateTime

    public LiveInfo withCreateTime(String createTime)

### getLastUpdateTime

    public String getLastUpdateTime()

### setLastUpdateTime

    public void setLastUpdateTime(String lastUpdateTime)

### withLastUpdateTime

    public LiveInfo withLastUpdateTime(String lastUpdateTime)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### withStatus

    public LiveInfo withStatus(String status)

### getNotification

    public String getNotification()

### setNotification

    public void setNotification(String notification)

### withNotification

    public LiveInfo withNotification(String notification)

### getStreamingStatus

    public String getStreamingStatus()

### setStreamingStatus

    public void setStreamingStatus(String streamingStatus)

### withStreamingStatus

    public LiveInfo withStreamingStatus(String streamingStatus)

### getPublish

    public LivePublish getPublish()

### setPublish

    public void setPublish(LivePublish publish)

### withPublish

    public LiveInfo withPublish(LivePublish publish)

### getPlay

    public LivePlay getPlay()

### setPlay

    public void setPlay(LivePlay play)

### withPlay

    public LiveInfo withPlay(LivePlay play)

### getError

    public SessionErrorInfo getError()

### setError

    public void setError(SessionErrorInfo error)

### withError

    public LiveInfo withError(SessionErrorInfo error)

### getRecord

    public LiveRecordPrefix getRecord()

### setRecord

    public void setRecord(LiveRecordPrefix record)

### withRecord

    public LiveInfo withRecord(LiveRecordPrefix record)

### getThumbnail

    public LiveThumbnailPrefix getThumbnail()

### setThumbnail

    public void setThumbnail(LiveThumbnailPrefix thumbnail)

### withThumbnail

    public LiveInfo withThumbnail(LiveThumbnailPrefix thumbnail)

### getTarget

    public LiveTarget getTarget()

### setTarget

    public void setTarget(LiveTarget target)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.